Package org.apache.tools.zip

# Class Zip64RequiredException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.util.zip.ZipException
org.apache.tools.zip.Zip64RequiredException

All Implemented Interfaces:
  `java.io.Serializable`

    public class Zip64RequiredException
    extends java.util.zip.ZipException

Exception thrown when attempting to write data that requires Zip64 support to an archive and `UseZip64` has been set to `Never`.

Since:
  Ant 1.9.0
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Zip64RequiredException​(java.lang.String reason)` |

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Zip64RequiredException

public Zip64RequiredException​(java.lang.String reason)